code stringlengths 2 1.05M | repo_name stringlengths 5 110 | path stringlengths 3 922 | language stringclasses 1
value | license stringclasses 15
values | size int64 2 1.05M |
|---|---|---|---|---|---|
#!/bin/sh
$WebServer[0] = "Web Server"
$WebServer[1] = "Configure User Web Server? This will set up a web server
in a sandboxed environment underneath your username, as well as
scripts to automatically configure it. Your personal web site is
located at /home/USER/public_html/ and will be available instantly.
(cont... | dkoksal/postinstall-scripts | scripts/servers/web-serv.sh | Shell | gpl-3.0 | 2,034 |
#/bin/bash
echo ----------------------------------------------------------------
echo sIBL_GUI For Maya - Files Gathering
echo ----------------------------------------------------------------
export PROJECT_DIRECTORY=$(cd $( dirname "${BASH_SOURCE[0]}" )/..; pwd)
export SOURCE_DIRECTORY=$PROJECT_DIRECTORY/src/
export... | KelSolaar/sIBL_GUI_For_Maya | utilities/gatherFiles.sh | Shell | gpl-3.0 | 2,670 |
#!/bin/bash
if [ "$#" -ne 1 ]; then
echo "Illegal number of parameters"
exit 1
fi
CONFIG=$1
echo "Modifying $CONFIG for best behaviour in this container"
# Every config modification have its own environemnt variable that can configure the behaviour.
# Different users, providers or host systems might have spe... | haugene/docker-transmission-openvpn | openvpn/modify-openvpn-config.sh | Shell | gpl-3.0 | 3,885 |
mkdir .rebuildtrackdesc
mkdir .rebuildtrackuser
mkdir .rebuildstartpoint
mkdir .rebuilddate
| fparrel/regepe | wamp-src/cgi-bin/genrebuildall.sh | Shell | gpl-3.0 | 92 |
brew cask install aerial
/usr/bin/defaults -currentHost write com.apple.screensaver 'CleanExit' -string "YES"
/usr/bin/defaults -currentHost write com.apple.screensaver 'PrefsVersion' -int "100"
/usr/bin/defaults -currentHost write com.apple.screensaver 'idleTime' -int "300"
/usr/bin/defaults -currentHost write com.ap... | sharpner/dotfiles | saver.sh | Shell | gpl-3.0 | 722 |
#!/bin/bash
#######################################################
# URAVPS - Script install Lemp in Centos 7
# Author: thelawbreaker - URAVPS
# To install type: chmod +x uravps.sh && ./uravps.sh
#######################################################
uravps_vers="1.0.2"
phpmyadmin_version="5.2.0" # Released 2020-03-2... | BREAKTEAM/BreakBuild | uravps.sh | Shell | gpl-3.0 | 31,347 |
#!/bin/sh
# cp from 3.16 fails this test
# Copyright (C) 1997-2016 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your... | gyl33333/coreutils | tests/cp/no-deref-link2.sh | Shell | gpl-3.0 | 1,084 |
#!/bin/sh
MY_DIR=`dirname $0`
START_NORM=/jci/scripts/start_normal_mode.sh
CONF_NAME=autorun
CONF_DIR=/mnt/data_persist/dev/bin
CONF_ADB=${CONF_DIR}/adb
CONF_FILE=${CONF_DIR}/${CONF_NAME}
MY_CONF=${MY_DIR}/${CONF_NAME}
MY_ADB=${MY_DIR}/adb
UDEV_HANDLR=${CONF_DIR}/02-run-tweaks-from-usb/install-udev-handler-if-not-inst... | Trevelopment/MZD-AIO-TI-X | app/files/tweaks/cmu-autorun/sdcard/recovery/44-recovery-recovery/recover-autorun.sh | Shell | gpl-3.0 | 765 |
#! /usr/bin/env bash
# Search for a string in epub files listed in a file and prints the names
# of the epub files that contain the search string.
# primejyothi at gmail dot com 20140118
# License : GPLv3
if [[ "$#" -ne 2 ]]
then
echo "Usage `basename $0` epubListFile SearchString"
exit 2
fi
if [[ ! -r $1 ]]
then
... | primejyothi/ShellUtils | srchEpub.sh | Shell | gpl-3.0 | 520 |
#!/bin/bash
# This script builds all dependencies of sdsl
# and installs the library on a LINUX or Mac OS X system
CUR_DIR=`pwd`
SDSL_INSTALL_PREFIX=${HOME}
if [ $# -ge 1 ]; then
SDSL_INSTALL_PREFIX=${1}
fi
# Get absolute path name of install directory
mkdir -p "${SDSL_INSTALL_PREFIX}" 2> /dev/null
cd "${SDSL_INSTAL... | andmaj/rrr-size | sdsl-lite/lib/src/sdsl-lite/install.sh | Shell | gpl-3.0 | 3,206 |
#!/usr/bin/env bash
set -e
set -u
# set -x
# ==============================================================================
# The following variables are required and need to be set to the environment by
# the user:
#
# NEWCOMEN_TARGET_REPO
# NEWCOMEN_SOURCE_REPOS
# GH_TOKEN
#
# The following variables are optional, ... | Newcomen/Newcomen | build.sh | Shell | gpl-3.0 | 11,193 |
#!/bin/bash
# disable malloc check in glibc otw. we get corruption blarg on exit() with NDEBUG builds
export MALLOC_CHECK_=0
declare -i TIMEOUT=200
declare -i MEMOUT=1000
export GNUTIME="/usr/bin/time --verbose -o" # time command
export RUN="run -s $MEMOUT -t $((TIMEOUT+20)) -k -o"
export TIMELIMIT="timelimit -p -s ... | DistributedMCS/dmcs | examples/genTest.sh | Shell | gpl-3.0 | 2,329 |
#!/bin/bash
###################
# Author: Domenic Denicola
# Modifications by: Prasad Talasila
# Date: 3-December-2017
###################
set -e # Exit with nonzero exit code if anything fails
SOURCE_BRANCH="dev"
TARGET_BRANCH="gh-pages"
ENCRYPTION_LABEL="bb6a8c93b0d6"
COMMIT_AUTHOR_EMAIL="tsrkp@goa.bits-pilani.ac... | prasadtalasila/TransportScheduler | script/docs_auto_deploy.sh | Shell | gpl-3.0 | 2,785 |
#!/bin/sh
export GR_DONT_LOAD_PREFS=1
export srcdir=/home/zitouni/gnuradio-3.6.1/gnuradio-core/src/python/gnuradio/gr
export PATH=/home/zitouni/gnuradio-3.6.1/build/gnuradio-core/src/python/gnuradio/gr:$PATH
export LD_LIBRARY_PATH=/home/zitouni/gnuradio-3.6.1/build/volk/lib:/home/zitouni/gnuradio-3.6.1/build/gruel/src/... | zitouni/gnuradio-3.6.1 | build/gnuradio-core/src/python/gnuradio/gr/qa_float_to_short_test.sh | Shell | gpl-3.0 | 657 |
#!/bin/bash
STEAM_GAME_ID=285190
GAME_BINARY=DawnOfWar3
export HOME=$DEBUG_REAL_HOME
steam steam://run/$STEAM_GAME_ID &
sleep 6
GAME_PID=`pgrep $GAME_BINARY | tail -1`
echo '#!/bin/sh' > steam-env-vars.sh
echo "# PID: $GAME_PID" >> steam-env-vars.sh
while read -d $'\0' ENV; do NAME=`echo $ENV | cut -d= -f1`; VAL=`ec... | phoronix-test-suite/phoronix-test-suite | ob-cache/test-profiles/pts/dow3-1.0.1/pre.sh | Shell | gpl-3.0 | 484 |
#!/bin/bash
PYTHON_VERSION=2.4.6
function checkout_version {
local repo=$1
version=${2:-python-2.4}
echo Checking out $version.4 on $repo ...
(cd ../$repo && git checkout $version && pyenv local $PYTHON_VERSION) && \
git pull
return $?
}
export PATH=$HOME/.pyenv/bin/pyenv:$PATH
owd=$(pwd)
bs=${BA... | rocky/python2-trepan | admin-tools/setup-python-2.4.sh | Shell | gpl-3.0 | 760 |
#!/bin/bash
. $_COMMANDER_HOME/libs/util.sh
_cf_load_ ssh
function _ssh_agent_(){
ssh-agent > /dev/null 2>&1
}
function _ssh_key_pub_(){
for k in $@ ; do
if [[ -f $_COMMANDER_HOME/configs/ssh/.ssh/$k.pub ]]; then
_exec_ cat $_COMMANDER_HOME/configs/ssh/.ssh/$k.pub
fi
done
}
function _ssh_key_del_(){
f... | auto-program/commander | scripts/cmd-ssh.sh | Shell | gpl-3.0 | 5,155 |
#!/bin/bash
# This is part of the rsyslog testbench, licensed under GPLv3
export IMFILEINPUTFILES="10"
export IMFILEINPUTFILESSTEPS="5"
#export IMFILEINPUTFILESALL=$(($IMFILEINPUTFILES * $IMFILEINPUTFILESSTEPS))
export IMFILECHECKTIMEOUT="5"
. $srcdir/diag.sh init
. $srcdir/diag.sh check-inotify-only
# generate input f... | madedotcom/rsyslog | tests/imfile-wildcards-dirs-multi.sh | Shell | gpl-3.0 | 1,359 |
#!/bin/bash
#From here: https://github.com/alexeevdv/dename
function detect_gnome()
{
ps -e | grep -E '^.* gnome-session$' > /dev/null
if [ $? -ne 0 ];
then
return 0
fi
VERSION=`gnome-session --version | awk '{print $2}'`
DESKTOP="GNOME"
return 1
}
function detect_kde()
{
ps -e | gre... | JoshuaD84/teahouse-fox-background | dename.sh | Shell | gpl-3.0 | 2,687 |
#!/bin/bash
# --------------------------------------------------------------------------- #
# #
# Copyright (C) 2014 LAFKON/Christoph Haag #
# ... | lafkon/conversations | var/layouts/makingof-01/svglayers2pdfdoublepages.sh | Shell | gpl-3.0 | 6,451 |
#!/bin/bash
ANSIBLEPLAYBOOK="/usr/local/bin/ansible-playbook"
install_ansible()
{
if [ ! -f $ANSIBLEPLAYBOOK ]; then
pip install ansible
fi
}
configure_ansible()
{
if [ ! -d "/etc/ansible" ]; then
mkdir /etc/ansible
fi
echo "localhost ansible_connection=local" >> /etc/ansible/hosts
}
start_ansi... | maxjazz/AWSHomeWork | scripts/start.sh | Shell | gpl-3.0 | 462 |
echo "Example 3: Same data"
echo " Epsilon: 0.4"
echo " Distance: 120"
echo " Users: 1"
echo " Simple zone"
echo "Running BHI..."
../../evaluator/build/evaluator --method bhi -e 0.4 -d 120 -n 1 -f 2091 -r "reference/" -i "data/" --verbose
echo "Done!"
| leanbalma/OSM | examples/same-data/script-same-data-bhi.sh | Shell | gpl-3.0 | 260 |
#!/bin/bash
cd matlab-code/Code/
matlab -r "run_igci_gaussian_integral valid; exit"
matlab -r "run_igci_uniform_integral valid; exit"
matlab -r "run_lingam valid; exit"
| ssamot/causality | extract_matlab_valid.sh | Shell | gpl-3.0 | 169 |
#!/bin/bash
#--- RCV1: semi-supervised LSTM with 2 unsupervised LSTM embeddings
#--- and 3 unsupervised CNN embeddings.
#--- NOTE: 5GB or more GPU device memory is required.
#-----------------#
gpu=-1 # <= change this to, e.g., "gpu=0" to use a specific GPU.
mem=5 # pr... | riejohnson/ConText | examples/other-sh/lstm-5unsemb-rcv1.sh | Shell | gpl-3.0 | 5,005 |
#!/bin/sh
charging="Charging"
discharging="Discharging"
fully_charged="Fully-charged"
battery_status=""
percentage=$(upower -i /org/freedesktop/UPower/devices/battery_battery | grep -E "percentage" | sed s/"percentage:"// | tr -d "[:space:]")
state=$(upower -i /org/freedesktop/UPower/devices/battery_battery | grep ... | kasramp/PinebookScripts | .config/i3/i3blocks_battery.sh | Shell | gpl-3.0 | 795 |
#!/bin/sh
if [ -e Makefile ]; then
make -j8 && make test
elif [-e rules.ninja ]; then
ninja && ninja test
fi
if [ "x$?" = "x0" ]; then
lcov --base-directory . --directory . -c -o mia.info
# remove system library files
lcov --remove mia.info "/usr*" -o mia.info
lcov --remove mia.info "mia2/src*... | gerddie/mia | coverage.sh | Shell | gpl-3.0 | 615 |
#!/usr/bin/env bash
# NOTE:
# TO GET RID OF THE VERBOSE OUTPUT, REDIRECT STDOUT TO /dev/null
#TODO: handle changing item conf from l to c
#TODO: error whene sync /etc without root permission
dotfile () {
if [ ! -f dotfile-${2}.list ]; then
echo "ERROR: configuration file 'dotfile-${2}.list' not found" >&2
exi... | lejenome/dotfiles | dotfiles.sh | Shell | gpl-3.0 | 2,824 |
#!/usr/bin/env bash
# Copyright 2017 Yash D. Saraf
# This file is part of BB-Bot.
# BB-Bot is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later vers... | yashdsaraf/bb-bot | scripts/build-bb.sh | Shell | gpl-3.0 | 1,894 |
#!/bin/bash
set -e
FORMAT_OUT=${TMPDIR:-/tmp}/clang-format-diff.out
find src -name "*.h" -o -name "*.cc" | xargs clang-format-11 --verbose -i
# Check if we got any diff, then print it out in in the CI.
# TODO: make these suggested diffs in the pull request.
git diff > ${FORMAT_OUT}
if [ -s ${FORMAT_OUT} ]; then
... | hzeller/beagleg | .github/bin/run-clang-format.sh | Shell | gpl-3.0 | 505 |
#! /bin/bash
# Computes some statistics about the parsing performance
# Takes as an input the directory created by learnAbstractSyntax.sh
#
CURDIR=`dirname $0`
PYDIR=$CURDIR/src/py
#shflags
. $CURDIR/shflags
DEFINE_string 'dir' './mwes-h10000' 'directory where the parsed sentence are stored' 'd'
FLAGS "$@" || exit ... | vitaka/apertiumToFromGF | reportParsingPerformance.sh | Shell | gpl-3.0 | 977 |
#!/bin/bash
# Javascript builder/packager script
# - Flatten all required js files into a single js.
# - Add version number if supplied.
# - Exclude tests.
# - package in a directory along with any extra assets, such
# as css files.
# Set this to specify the files to build:
EXT_DIR="js-logger"
# => build/EXT_DIR... | danielbush/jslogger | build.sh | Shell | gpl-3.0 | 1,732 |
#!/bin/bash
#############################################################################################################
## ##
## This script is Free Software, it's licensed under the GPLv3 and has ABSOLUTELY ... | ruphy/dellbiosupdate.sh | dellbiosupdate.sh | Shell | gpl-3.0 | 8,342 |
#!/usr/bin/env zsh
export MPW_FULLNAME='Langston Barrett'
export MPW_SITETYPE=x
# https://github.com/Lyndir/MasterPassword/blob/master/platform-independent/cli-c/mpw.bashrc
mpw() {
_copy() {
if hash pbcopy 2>/dev/null; then
pbcopy
elif hash xclip 2>/dev/null; then
xclip -selection clip
elif ... | siddharthist/dots | files/zsh.d/mpw.zsh | Shell | mpl-2.0 | 625 |
#!/bin/bash
var0=0
LIMIT=10
while [ $var0 -lt $LIMIT ]
do
echo -n "$var0 "
var0=`expr $var0 + 1`
done
echo
exit 0
| cxsjabc/basic | bash/_basic/while.sh | Shell | agpl-3.0 | 123 |
#!/bin/bash
rel=../..
if [ x"$TOP" == x ]; then TOP=`pwd`/$rel; fi
. $rel/linux-ow.sh
dos=1 # MS-DOS
dospc98=1 # PC-98
if [ "$1" == "clean" ]; then
do_clean
rm -fv boot*.dsk
exit 0
fi
if [ "$1" == "disk" ]; then
dd if=/dev/zero of=bootibm.dsk bs=512 count=2880 || exit 1
dd if=dos86s/boot... | joncampbell123/doslib | tiny/bootrep/make.sh | Shell | lgpl-2.1 | 850 |
#!/bin/bash
# Copyright (C) 2009,2010 Palo Alto Research Center, Inc.
#
# This work is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License version 2 as published by the
# Free Software Foundation.
# This work is distributed in the hope that it will be useful, but... | yyhpys/ccnx-trace-interest | android/external/download.sh | Shell | lgpl-2.1 | 2,038 |
#!/bin/bash
# WARNING: completely replaces htdocs by new version without
# backups other than the cvs repository.
# It is assumed that old versions of htdocs can be obtained using
# cvs export with a different tag or date
DOCBOOKDIR=htdocs/resources/docbook-manual
DEBIANDIR=htdocs/resources/debian
PLOTEXAMPLES=htdocs... | pemryan/DAKOTA | packages/plplot/scripts/htdocs-replace.sh | Shell | lgpl-2.1 | 1,407 |
#!/bin/sh
CP="conf/;classes/;lib/*"
SP=src/java/
/bin/mkdir -p classes/
javac -sourcepath $SP -classpath $CP -d classes/ src/java/nxt/*.java src/java/nxt/*/*.java || exit 1
/bin/rm -f tzr.jar
jar cf tzr.jar -C classes . || exit 1
/bin/rm -rf classes
echo "tzr.jar generated successfully"
| metrospark/czarcraft | win-compile.sh | Shell | lgpl-2.1 | 293 |
#!/bin/sh
test_begin "3D-HEVC"
do_test "$MP4BOX -add $EXTERNAL_MEDIA_DIR/3D-HEVC/stream_bbb.bit:fmt=HEVC -new $TEMP_DIR/test.mp4" "import"
do_hash_test $TEMP_DIR/test.mp4 "import"
do_playback_test "$TEMP_DIR/test.mp4" "play"
test_end
test_begin "add-subsamples-HEVC"
do_test "$MP4BOX -add $EXTERNAL_MEDIA_DIR/3D-H... | rauf/gpac | tests/scripts/3D-HEVC.sh | Shell | lgpl-2.1 | 457 |
function build {
if [ "$1" == "jphonelite-android" ]; then
return
fi
if [ "$1" == "jfrdp" ]; then
return
fi
cd $1
ant jar
if [ "$1" == "plymouth-theme-jflinux" ]; then
sudo ant install-ubuntu -Dbits=32
elif [ "$1" == "jflogon" ]; then
sudo ant install-ubuntu -Dbits=32
else
sudo ant... | ericomattos/javaforce | projects/buildAllUbuntu32.sh | Shell | lgpl-3.0 | 426 |
#!/bin/bash
echo "" > /.bahub.env
if [[ ! -f /cron ]]; then
echo " !!! Warning !!!: No /cron file available, should be a crontab-syntax file"
fi
# setup dns
echo "nameserver 1.1.1.1" > /etc/resolv.conf
echo "nameserver 8.8.8.8" >> /etc/resolv.conf
if [[ "$@" ]]; then
echo "BAHUB_ARGS=\"$@\"" >> /.bahub.env... | Wolnosciowiec/file-repository | client/docker_entrypoint.sh | Shell | lgpl-3.0 | 1,006 |
#!/bin/bash
source $HOME/.dumbscripts/quodlibet-functions.sh
FIRST_QUEUE="$(save-queue)"
# monitor for song changes & save queue
dbus-monitor --profile "interface='net.sacredchao.QuodLibet',member='SongStarted'" |
while read -r line; do
# this keeps getting reset somehow
sed -i 's/^ascii = true$/ascii = false/' $H... | Jimi-James/odds-n-ends | dumbscripts/quodlibet-monitor.sh | Shell | lgpl-3.0 | 1,105 |
#!/usr/bin/bash
iasRun -l s org.scalatest.run org.eso.ias.basictypes.test.TestInOut
iasRun -l s org.scalatest.run org.eso.ias.basictypes.test.TestValidity
iasRun -l s org.scalatest.run org.eso.ias.basictypes.test.TestIdentifier
iasRun -l s org.scalatest.run org.eso.ias.basictypes.test.TestTemplatedIdentifier
iasRun -l ... | IntegratedAlarmSystem-Group/ias | BasicTypes/src/test/runTests.sh | Shell | lgpl-3.0 | 772 |
/opt/jdk1.6/jre/bin/java -cp target/classes:libs/* com.ojt.OJTLauncher $*
| remiguitreau/ojt | ojt-core/ojt.sh | Shell | lgpl-3.0 | 75 |
#! /bin/bash
IFS=$'\t\n'
# echo -e "DigWF_ID\tOCLC\tImagePath\tImageCount\tImageDPI\tImageBitDepth\tMARC\tARKPID\tVolume\tCollection_ID\tOwningLibraryID\tIA_ID"
while read line
do array=($line)
# S3 API Key (supplied by Internet Archive to users)
accesskey=""
secret=""
declare -a collections
collections[17]="africa... | jkylefenton/digitization_scripts | internet_archive/bak_ia_legacy_fixmdata.sh | Shell | unlicense | 5,631 |
#! /bin/bash
# put rdf+json from a remote location
# copy it from the default repository to the -write instance
# the request includes the Location header, but no content
initialize_repository --repository "${STORE_REPOSITORY}-write"
echo PUT-rj w/location PUT > $ECHO_OUTPUT
curl_graph_store_update -X PUT -o /dev/nu... | dydra/http-api-tests | sparql-graph-store-http-protocol/location/PUT-nquads.sh | Shell | unlicense | 732 |
#!/bin/bash
CURRDIR=$(dirname "${0}")
source ${CURRDIR}/common.sh
echo "Building binary..."
${BUILDDIR}/${VENV}/${BIN}/pyinstaller${EXE} \
--workpath=${BUILDDIR}/${DIST}/build \
--distpath=${BUILDDIR}/${DIST} \
${BASEDIR}/binary.spec
echo "Binary built."
| mesosphere/dcos-cli | cli/bin/binary.sh | Shell | apache-2.0 | 269 |
function docker_active_cont_base() {
docker ps | sed -r 's-^[a-z0-9]*\W*([a-zA-Z0-9\.:_\/-]*)\W.*\s([a-zA-Z0-9\._-]*)$-C_R: \2 \-> \1-' | tail -n +2 | sed -e 's-#-\\-g'| awk '{print "\033[1;32m"$0"\033[0m"}'
}
function docker_cont_base() {
docker_active_cont_base; \
docker ps -a | grep Exited | sed -r 's-^... | OkieOth/bash_conf | docker_stuff.sh | Shell | apache-2.0 | 1,320 |
#!/bin/bash
pwd
./YCgCo2cmy.exe
./YCgCo2cmyk.exe
./YCgCo2gray.exe
./YCgCo2hsi.exe
./YCgCo2hsl.exe
./YCgCo2hsv.exe
./YCgCo2hwb.exe
./YCgCo2lab.exe
./YCgCo2LabCH.exe
./YCgCo2lms.exe
./YCgCo2lms_BFD.exe
./YCgCo2lms_K65.exe
./YCgCo2lms_KE.exe
./YCgCo2lms_MCAT02.exe
./YCgCo2luv.exe
./YCgCo2LuvCH.exe
./YCgCo2rgb.exe
./YCgC... | dmilos/color | example/less-than-1k/assign/YCgCo/run.sh | Shell | apache-2.0 | 533 |
# Copyright 2015 ThoughtWorks, Inc.
# This file is part of Gauge.
# Gauge is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# Gauge is... | getgauge/gauge | genproto.sh | Shell | apache-2.0 | 1,437 |
echo
echo "Test command used:"
echo "curl -X POST -d @test_event1.json -H "Content-Type: application/json" http://localhost:7800/orderupdates"
echo
curl -X POST -d @test_event1.json -H "Content-Type: application/json" http://localhost:7800/orderupdates
echo
echo
| sg248351/scenario3 | 99_docker/iib/testme.sh | Shell | apache-2.0 | 263 |
#!/bin/bash
# Copyright (c) The Diem Core Contributors
# SPDX-License-Identifier: Apache-2.0
set -e
DIR="$( cd "$( dirname "$0" )" && pwd )"
$DIR/../diem-build.sh $DIR/Dockerfile diem/init "$@"
| libra/libra | docker/init/build.sh | Shell | apache-2.0 | 196 |
java -jar -Dhbird.assembly=assemblies/satellite-estcube1.xml -Dhbird.scriptlibrary=scripts -Dorekit.data.path=resources -Dlog4j.configuration=file:resources/log4j.properties -Dhbird.log=satellite hbird-0.10.0.jar
| Villemos/hbird-business | systems/estcube/src/main/deprecated/scripts/startSatellite.sh | Shell | apache-2.0 | 214 |
#!/usr/bin/env bash
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements. See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "Licens... | scalingdata/Impala | thirdparty/hadoop-2.7.1.2.3.0.0-2557/sbin/yarn-daemons.sh | Shell | apache-2.0 | 1,434 |
#!/bin/sh
# This script will determine the current local dynamic IP address then update the A record with the current IP address for YOUR DOMAIN.COM hosted at DNSimple
# It can be scheduled as a task or cronjob and run daily or weekly to keep the A record updated with the current dynamic IP address
exec >> /var/log/DN... | swoodford/linux | dnsimple-dns-record-updater.sh | Shell | apache-2.0 | 1,002 |
#!/bin/bash
./tools/apidoc/generate.sh \
"Test API" \
"API" \
"" \
\
"$@"
| stuffer2325/Makagiga | tools/apidoc/generate-test.sh | Shell | apache-2.0 | 80 |
#!/bin/bash
sudo rm -rf /tmp/consul
sudo consul agent -config-file consul.json
| JoergM/consul-examples | dns/start_consul.sh | Shell | apache-2.0 | 80 |
#!/usr/bin/env bash
LINES="$(grep -E "Copyright \((c|C)\)" -rL --include=\*.kt --include=\*.java --exclude-dir=generated-src --exclude-dir=projects --exclude-dir=gen --exclude-dir=build --exclude-dir=.gradle .)"
NUM_LINES=${#LINES}
if (( $NUM_LINES > 0 )); then
echo "These files seem to be missing a license header:"... | benjamin-bader/thrifty | script/ensure_license_headers.sh | Shell | apache-2.0 | 361 |
#!/usr/bin/ksh
#
set -x
[ $# -eq 0 ] && { echo "Usage: $0 -d <dc> -n <project> -f <properties file>"; exit 1; }
while [[ $# -gt 1 ]]
do
key="$1"
case $key in
-n)
PROJECT="$2"
shift # past argument
;;
-f)
PROP_FILE="$2"
shift # past argument
;;
-d)
DC="$2"
shift # past argum... | mcanoy/pod-watcher | pod/get_pods.sh | Shell | apache-2.0 | 945 |
# Example how to setup a clean-up step for the Buildkite Agent on macOS
# Create a "buildkite" user first with a clean home directory.
#
# The agent will run as this "buildkite" user and will be monitored by a launchd
# service that runs a "buildkite-wrapper" script, which will launch the actual
# agent and clean-up a... | bazelbuild/continuous-integration | macos/mac-cleanup.sh | Shell | apache-2.0 | 3,495 |
#!/usr/bin/env bash
#
# Copyright 2021 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law o... | googleforgames/quilkin | examples/iperf3/clean.sh | Shell | apache-2.0 | 771 |
#!/bin/sh
set -x
###################################################################################################
###################################################################################################
# CEILOMETER
yum install -y openstack-ceilometer-compute python-ceilometerclient python-pecan
crudi... | berendt/vagrant-openstack-installation-guide | scripts/compute_ceilometer.sh | Shell | apache-2.0 | 2,403 |
#!/bin/sh
set -e
cd $HOME/logs
flock -n ~/var/locks/pdf-content $HOME/services/java-wrappers/pdfcontent-invoke $HOME/services/conf/pdf-content.properties "$@"
| statsbiblioteket/digital-pligtaflevering-aviser-tools | tools/dpa-tools-deployment/for-deployment/bin/pdf-content.sh | Shell | apache-2.0 | 161 |
#!/bin/sh
#
# Copyright (c) 2017 Cloudera, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed... | cloudera/director-scripts | azure-dns-scripts/bind-dns-setup.sh | Shell | apache-2.0 | 15,604 |
#/bin/bash -l
function somaticSniper_variants()
{
local prefix=$1
local ext=$2
local fn_genome=$3
local out_dir=$4
local bam_norm=$5
if [ -z "$1" -o -z "$3" -o -z "$4" -o -z "$5" ]; then # $2 is allowed to be empty
echo "usage somaticSniper_variants <prefix> <ext> <fn_genome_fasta> <output_dir> <norma... | cbg-ethz/WES_Cancer_Sim | sim_cancer/cancer_data_pipeline/SNV_caller/somaticSniper_variants.sh | Shell | apache-2.0 | 1,104 |
#!/bin/bash -eux
# should output one of 'redhat' 'centos' 'oraclelinux'
distro="`rpm -qf --queryformat '%{NAME}' /etc/redhat-release | cut -f 1 -d '-'`"
major_version="`sed 's/^.\+ release \([.0-9]\+\).*/\1/' /etc/redhat-release | awk -F. '{print $1}'`";
# make sure we use dnf on EL 8+
if [ "$major_version" -ge 8 ];... | erumble/packer-templates | centos/scripts/cleanup.sh | Shell | apache-2.0 | 3,451 |
#!/usr/bin/env bash
#
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements. See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "Licen... | davinash/geode | dev-tools/release/promote_rc.sh | Shell | apache-2.0 | 15,527 |
#!/usr/bin/env bash
# Copyright 2021 The TensorFlow Authors. All Rights Reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless... | tensorflow/recommenders-addons | tools/docker/install/install_openmpi.sh | Shell | apache-2.0 | 1,330 |
find . -name '*.lua' | xargs wc -l
| zorfmorf/loveprojects | drip/linecount.sh | Shell | apache-2.0 | 35 |
#!/bin/bash
# Copyright 2019 The TensorFlow Authors. All Rights Reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless require... | ppwwyyxx/tensorflow | tensorflow/tools/ci_build/release/ubuntu_16/gpu_py35_full/pip.sh | Shell | apache-2.0 | 2,941 |
#!/bin/bash
#
# SPDX-License-Identifier: Apache-2.0
set -e
CI_VERSION="$(grep "GO_VER" ci.properties | cut -f2- -d'=')"
GO_VERSION="$(go version | cut -f3 -d' ' | sed -E 's/^go//')"
fail() {
>&2 echo "ERROR: ${CI_VERSION} is required to build Fabric and you are using ${GO_VERSION}. Please update go."
exit 2
... | binhn/fabric | scripts/check_go_version.sh | Shell | apache-2.0 | 1,017 |
#!/bin/bash
adb uninstall com.commonsware.android.advservice.client && adb uninstall com.commonsware.android.advservice
#ant -buildfile RemoteClient/build.xml clean debug && ant -buildfile RemoteService/build.xml clean debug
ant -buildfile RemoteClient/build.xml debug && ant -buildfile RemoteService/build.xml debug
adb... | abeluck/android-streams-ipc | deploy.sh | Shell | apache-2.0 | 434 |
#!/bin/bash
set -e
set -x
export JAVA_HOME=${HOME}/jdk
export PATH=${JAVA_HOME}/bin:${PATH}
export M2_HOME=${HOME}/maven
export PATH=${M2_HOME}/bin:${PATH}
echo "#################################################################"
echo "Checking Maven install"
echo
mvn -version
echo
echo "Done"
echo "#################... | cescoffier/vertx-microservices-workshop | packer/scripts/lab_setup.sh | Shell | apache-2.0 | 542 |
#!/usr/bin/env bash
#
# The Alluxio Open Foundation licenses this work under the Apache License, version 2.0
# (the "License"). You may not use this work except in compliance with the License, which is
# available at www.apache.org/licenses/LICENSE-2.0
#
# This software is distributed on an "AS IS" basis, WITHOUT WARRA... | madanadit/alluxio | bin/alluxio-start.sh | Shell | apache-2.0 | 18,541 |
find build/artifacts/NYoShWorkbenchDistribution/ -name NYoShWorkbench-\*|xargs -I{} scp {} campagnelab.org:www/files/
| CampagneLaboratory/NYoSh | deploy-to-web.sh | Shell | apache-2.0 | 121 |
#!/bin/bash
# Settings
DEFAULT_TARGET=../src/simulation/modelsim/memory.lst
ASSEMBLER=./tiny8v1_assembler
ADDRESSABILITY=1
# Command line parameters
ASM_FILE=$1
TARGET_FILE=${2:-$DEFAULT_TARGET}
ADDRESSABILITY=${3:-$ADDRESSABILITY}
# Print usage
if [[ "$#" -lt 1 ]]; then
echo "Compile an LC-3b assembly file and ... | mgold95/tiny8v1 | bin/load_memory.sh | Shell | apache-2.0 | 1,862 |
#!/usr/bin/env bash
# Example call: Usage: Usage: ./build_env_file.sh <obsthresh> <cost_inscribed_thresh> <cost_possibly_circumscribed_thresh>
# <cellsize> <nominalvel> <timetoturn45degsinplace> <start_x> <start_y> <start_theta> <end_x> <end_y> <end_theta> [<env_file>
# <map_file>]
# Confirm that correct number of par... | IEEERobotics/high-level | scripts/build_env_file.sh | Shell | bsd-2-clause | 2,128 |
#!/usr/bin/env bash
#set -x
# Checking if script is running as root
function checkroot {
if ! [ $(id -u) = 0 ]
then
echo "You need to have root privileges to run this script
Please try again, this time using 'sudo'. Exiting."
exit
fi
}
checkroot
# Mapping distro identificat... | AlperSakarya/LinuxUserWizard | linux-user-wizard.sh | Shell | bsd-2-clause | 12,860 |
yarn install --frozen-lockfile
cat yarn.lock | npx hasha > .node_hash | SalesforceFoundation/HEDAP | scripts/update-dependencies.sh | Shell | bsd-3-clause | 69 |
#!/bin/bash
# experiment for adversary inserting relays after user's guard selection
# 1/1/2013 00:00:00 timestamp: 1356998400
BASE_DIR=/mnt/shared/orsec_data
TOT_PROCESSES=20
PARALLEL_PROCESSES=$1
DATE_RANGE=$2
OUTPUT=2
ADV_GUARD_BW=$3
ADV_EXIT_BW=$4
ADV_TIME=$5
NUM_ADV_GUARDS=1
USERMODEL=typical
NUM_SAMPLES=5000
... | multicastTor/multicastTor | torps/run_simulations_delayed_entry.sh | Shell | bsd-3-clause | 1,354 |
export HIPDEX_INCLUDE_PATH=`pwd`
| smart-m3/sib-tcp | hip-dex/install.sh | Shell | bsd-3-clause | 33 |
#!/usr/bin/env bash
RED='\033[0;31m'
BLUE='\033[0;34m'
NC='\033[0m'
echo -e "${RED}* Killing service tango_master.1${NC}"
docker kill "$(docker ps -f name=tango_master.1 -f status=running -q)"
echo -e "${RED}* Waiting for service to restart${NC}"
while true; do
SERVICE_ID="$(docker service ps -f desired-state=r... | SKA-ScienceDataProcessor/integration-prototype | sip/tango_control/tango_master/kill_service.sh | Shell | bsd-3-clause | 488 |
#!/bin/bash
[[ -z $WORKING_DIR ]] && WORKING_DIR=$(pwd)
[[ -z $VERSION ]] && VERSION=$(git log --oneline -n 1 | awk '{print $1}')
case "$1" in
'setup_qt')
sudo apt-get update -qq
sudo apt-get -y install qt4-qmake libqt4-dev libqt4-sql-sqlite
;;
'get_quazip')
wget http://download... | sergiobenrocha2/mupen64plus-qt | build-scripts/platform/linux.sh | Shell | bsd-3-clause | 743 |
#!/usr/bin/env bash
FILES=`find $1 -name "*.bag"`
for BAG in $FILES
do
echo $BAG
filename="${BAG##*/}"
echo $filename
rostopic echo -b $BAG -p /behavior/status > $2/${filename%.*}_status.csv
rostopic echo -b $BAG -p /bebop/land > $2/${filename%.*}_land.csv
rostopic echo -b $BAG -p /vicon/bebop_blue_en/bebo... | AutonomyLab/bebop_hri | script/analysis/trajectory/extract.sh | Shell | bsd-3-clause | 494 |
#!/usr/bin/env bash
# The NSA XSAPR file is no longer available
#wget --no-check-certificate https://engineering.arm.gov/~jhelmus/sample_xsapr_a1_files/2013_12_03_NSA/nsaxsaprrhiC1.a1/nsaxsaprrhiC1.a1.20131203.141936.nc
wget --no-check-certificate https://engineering.arm.gov/~collis/KAMX_20140417_1056
wget --no-check-c... | jjhelmus/pyart_short_course | data/get_data.sh | Shell | bsd-3-clause | 834 |
#!/usr/bin/env bash
# Computes a checksum of a git repository considering
# 1. the current revision,
# 2. the current diff, and
# 3. the content of new files.
# Arguments:
# 1. the path to the repository
action() {
# determine the directory of this file
local this_file="$( [ ! -z "$ZSH_VERSION" ] && echo "${... | riga/law | law/contrib/git/scripts/repository_checksum.sh | Shell | bsd-3-clause | 1,067 |
#!/usr/bin/env bash
set -e -u
function set_this_up {
ttagval=${TRAVIS_TAG:-notag}
if [ "$TRAVIS_PULL_REQUEST" != "false" ]
then
echo "This was a pull request, thus dont build docs. Exit."
exit 0
fi
if [ "$TRAVIS_BRANCH" != "master" ] && [ "$ttagval" == "notag" ]
then
ec... | readdy/readdy | tools/ci/travis/upload_conda_package.sh | Shell | bsd-3-clause | 1,084 |
#!/bin/sh
set -e
tar=`which bsdtar tar 2>/dev/null | head -1`
mkdir -p "$2"
(cd "$1"; exec find . -print0) |
(cd "$1"; exec $tar -cn -f - -T - --no-fflags --no-xattrs --null) |
(cd "$2"; exec $tar -xp -f - --no-fflags --no-xattrs)
| dragonmaus/home | src/bin/dircp/dircp.sh | Shell | bsd-3-clause | 235 |
#!/bin/sh
# Generated file, master is Makefile.am
. ${srcdir:-.}/common.sh
infile="$srcdir/images/ojpeg_chewey_subsamp21_multi_strip.tiff"
outfile="o-tiffcrop-doubleflip-ojpeg_chewey_subsamp21_multi_strip.tiff"
f_test_convert "$TIFFCROP -F both" $infile $outfile
f_tiffinfo_validate $outfile
| ric2b/Vivaldi-browser | update_notifier/thirdparty/wxWidgets/src/tiff/test/tiffcrop-doubleflip-ojpeg_chewey_subsamp21_multi_strip.sh | Shell | bsd-3-clause | 292 |
#!/bin/bash
python setup.py upload
| slackhq/python-slackclient | scripts/deploy_to_prod_pypi_org.sh | Shell | mit | 36 |
#!/bin/bash
echo "After Script"
echo "-- Repo Slug: $TRAVIS_REPO_SLUG"
echo "-- Repo Tag: $TRAVIS_TAG"
echo "-- PHP Version: $TRAVIS_PHP_VERSION"
echo "-- PULL Request: $TRAVIS_PULL_REQUEST"
if [ "$TRAVIS_REPO_SLUG" == "bluzphp/framework" ] && [ "$TRAVIS_TAG" != "" ] && [ "$TRAVIS_PULL_REQUEST" == "false" ] && [ "$TR... | AntonShevchuk/bluz-framework | .travis.sh | Shell | mit | 1,097 |
#!/usr/bin/env bash
# copy ioncube libs to php5 dir
cp ./zendguard/zend-loader-php5.6-linux-x86_64/ZendGuardLoader.so /usr/lib/php/20131226/
cp ./zendguard/zend-loader-php5.6-linux-x86_64/opcache.so /usr/lib/php/20131226/
# copy php5 config
cp ./01-zendguard.ini /etc/php/5.6/fpm/conf.d/
cp ./01-zendguard.ini /etc/php... | gigatec/docker-ubuntu | files/root/install-zendguard.sh | Shell | mit | 383 |
#!/bin/bash
FN="mu19ksuba.db_3.2.3.tar.gz"
URLS=(
"https://bioconductor.org/packages/3.11/data/annotation/src/contrib/mu19ksuba.db_3.2.3.tar.gz"
"https://bioarchive.galaxyproject.org/mu19ksuba.db_3.2.3.tar.gz"
"https://depot.galaxyproject.org/software/bioconductor-mu19ksuba.db/bioconductor-mu19ksuba.db_3.2.3_src_... | roryk/recipes | recipes/bioconductor-mu19ksuba.db/post-link.sh | Shell | mit | 1,426 |
#!/bin/bash
# The 'other' host
HOST_NUMBER=$1
OTHER_HOSTS=$2
# Bridge address
BRIDGE_ADDRESS=10.10.$HOST_NUMBER.1/24
UNION_IP=192.168.250.$HOST_NUMBER
UNION_ADDRESS=$UNION_IP/24
# Add the docker0 bridge
brctl addbr docker0
# Set up the IP for the docker0 bridge
ip address add $BRIDGE_ADDRESS dev docker0
# Activate th... | 1uptalent/fleet | provisioning_scripts/prepare_docker_network.sh | Shell | mit | 844 |
#! /bin/bash
# A script for setting up environment for travis-ci testing.
# Sets up Lua and Luarocks.
# LUA must be "lua5.1", "lua5.2" or "luajit".
# luajit2.0 - master v2.0
# luajit2.1 - master v2.1
set -eufo pipefail
LUAJIT_VERSION="2.0.4"
LUAJIT_BASE="LuaJIT-$LUAJIT_VERSION"
source .travis/platform.sh
LUA_HOME_... | v1993/cocos2d-x-lua-i18n | .travis/setup_lua.sh | Shell | mit | 3,012 |
# Base16 Styling Guidelines:
# base00 - Default Background
# base01 - Lighter Background (Used for status bars)
# base02 - Selection Background
# base03 - Comments, Invisibles, Line Highlighting
# base04 - Dark Foreground (Used for status bars)
# base05 - Default Foreground, Caret, Delimiters, Operators
# base06 - Ligh... | SouthernBlackNerd/dotfiles | tmux/base16.sh | Shell | mit | 2,743 |
#!/bin/sh
### Run R providing the R script in $1 as standard input and passing
### the remaining arguments on the command line
# Function that writes a message to stderr and exits
function fail
{
echo "$@" >&2
exit 1
}
# Ensure R executable is found
which R > /dev/null || fail "'R' is required by this tool ... | volpino/Yeps-EURAC | tools/plotting/r_wrapper.sh | Shell | mit | 572 |
#!/bin/sh
#
# Copyright (C) 2015 Fujitsu Technology Solutions GmbH. All Rights Reserved.
#
# version string
# Version: 3.30.02
# Version: 3.20.01
# Date: 2015-11-09
# svcimlistenerd default installation settings
DIR_INIT="/etc/init.d"
FILE_INIT="sv_cimlistenerd"
DIR_LISTENER="/usr/bin"
FILE_LISTENER="svcimlist... | EXASOL/nagios-monitoring | opt/fujitsu/ServerViewSuite/cimindication/listener/sv_install.sh | Shell | mit | 10,033 |
#!/bin/env bash
# ------------------------------------------------------------------------------
# bookmark favourite paths
# ------------------------------------------------------------------------------
#
# TODO: add dir lock
usage() {
cat >&2 << EOF
Usage: ${0##*/} [OPTIONS] <command>
${0##*/} [OPTIONS] add <dir... | dgengtek/scripts | tools/fsbookmark.sh | Shell | mit | 6,318 |
pkill -9 -f S1.log
| msuchoi/Coffee | stop.sh | Shell | mit | 19 |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.